View Issue Details

IDProjectCategoryView StatusLast Update
0002420unrealdocumentationpublic2007-04-16 12:41
ReporterKnuXAssigned Tostskeeps 
PrioritynormalSeveritytextReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2.2 
Target VersionFixed in Version3.3-alpha0 
Summary0002420: Documentation doesn't tell us that we can do /kill nick1,nick2,...
Description***** Kill *****
-
Forcefully Disconnects a user from an IRC Server.
IRC Operator only command.
-
Syntax: KILL <user> <reason>
Example: KILL Jack16 Cloning is not allowed

But /kill <nick1>[,nick2,nick3,...] is possible ^^
TagsNo tags attached.
3rd party modules

Activities

White_Magic

2005-03-12 10:52

reporter   ~0009567

just add /massserverkill command then :)

vonitsanet

2005-03-27 06:40

reporter   ~0009666

The reason is that... you can do /kill <user>,<user2>,<user3>
but on the helpop system and docs this is not "visible" anyware.

w00t

2005-03-30 23:45

reporter   ~0009684

@White_Magic: /massserverkill is already available, just add an alias to /die :)

But yeah, it does seem as though the docs are a bit off.

tabrisnet

2006-06-05 00:48

reporter   ~0011852

I second this. I'd write up a patch but it's so trivial that the effort of writing vs the effort of reading/auditing/merging seems about equal.

Might be of note as well that Unreal does not support KICK multiple targets/channels, despite being specified in RFC 2812.
Mind you, the m_kick code appears to support it, but empirical testing says it does not work.

2007-04-15 23:26

 

help.conf.patch2 (675 bytes)

WolfSage

2007-04-15 23:26

reporter   ~0013429

This is a simple fix. Can we get this done and resolved? ;)

stskeeps

2007-04-16 11:23

reporter   ~0013458

Patched in .2356, not sure who patch owner is

Issue History

Date Modified Username Field Change
2005-03-12 07:43 KnuX New Issue
2005-03-12 10:52 White_Magic Note Added: 0009567
2005-03-27 06:40 vonitsanet Note Added: 0009666
2005-03-30 23:45 w00t Note Added: 0009684
2006-06-05 00:48 tabrisnet Note Added: 0011852
2007-04-15 23:26 WolfSage File Added: help.conf.patch2
2007-04-15 23:26 WolfSage Note Added: 0013429
2007-04-16 11:23 stskeeps Status new => resolved
2007-04-16 11:23 stskeeps Fixed in Version => 3.3-alpha0
2007-04-16 11:23 stskeeps Resolution open => fixed
2007-04-16 11:23 stskeeps Assigned To => stskeeps
2007-04-16 11:23 stskeeps Note Added: 0013458